## freeipa 4.9.8

=== contrib/completion/Makefile ===
# Makefile.in generated by automake 1.16.2 from Makefile.am.
# contrib/completion/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2020 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/freeipa
pkgincludedir = $(includedir)/freeipa
pkglibdir = $(libdir)/freeipa
pkglibexecdir = $(libexecdir)/freeipa
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = contrib/completion
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/VERSION.m4 \
	$(top_srcdir)/server.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(bashcompdir)"
SCRIPTS = $(bashcomp_SCRIPTS)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/antorres/dev/freeipa-writeable/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
API_VERSION = 2.245
AR = ar
AUTOCONF = ${SHELL} /home/antorres/dev/freeipa-writeable/missing autoconf
AUTOHEADER = ${SHELL} /home/antorres/dev/freeipa-writeable/missing autoheader
AUTOMAKE = ${SHELL} /home/antorres/dev/freeipa-writeable/missing automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -D__STDC_WANT_LIB_EXT1__=1 -D_DEFAULT_SOURCE=1 -D_POSIX_C_SOURCE=200809L -Werror=implicit-function-declaration
CMOCKA_CFLAGS = 
CMOCKA_LIBS = -lcmocka 
CONFIG_STATUS = ./config.status
CPP = gcc -E
CPPFLAGS =  
CRYPTO_CFLAGS = 
CRYPTO_LIBS = -lcrypto 
CYGPATH_W = echo
DATA_VERSION = 20100614120000
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIRSRV_CFLAGS = -DUSE_OPENLDAP -I/usr/include/dirsrv  -I/usr/include/nspr4 
DIRSRV_LIBS = -L/usr/lib64/dirsrv -lslapd 
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GETTEXT_DOMAIN = ipa
GETTEXT_MACRO_VERSION = 0.18
GIT_BRANCH = ipa-4-9
GIT_VERSION = 
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /usr/bin/grep
INI_CFLAGS = 
INI_LIBS = -lini_config -lbasicobjects -lref_array -lcollection 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
IPAPLATFORM = fedora
IPA_DATA_DIR = ${datarootdir}/ipa
IPA_SYSCONF_DIR = ${prefix}/etc/ipa
JANSSON_CFLAGS = 
JANSSON_LIBS = -ljansson 
JSLINT = /usr/bin/jsl
KRAD_LIBS = -lkrad
KRB5KDC_SERVICE = krb5kdc.service
KRB5_CFLAGS = 
KRB5_GSSAPI_CFLAGS = 
KRB5_GSSAPI_LIBS = -lgssapi_krb5 
KRB5_LIBS = -lkrb5 -lk5crypto -lcom_err 
LD = /usr/bin/ld -m elf_x86_64
LDAP_CFLAGS = 
LDAP_LIBS = -lldap_r -llber
LDFLAGS = 
LIBCURL_CFLAGS = 
LIBCURL_LIBS = -lcurl 
LIBICONV = -liconv
LIBINTL = 
LIBINTL_LIBS = 
LIBOBJS = 
LIBPDB_NAME = samba-passdb
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBVERTO_CFLAGS = 
LIBVERTO_LIBS = -lverto 
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/antorres/dev/freeipa-writeable/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MK_ASSIGN = =
MK_ELSE = else
MK_ENDIF = endif
MK_IFEQ = ifeq
MSGATTRIB = /usr/bin/msgattrib
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NAMED_GROUP = named
NDRNBT_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1 
NDRNBT_LIBS = -lndr-nbt -lndr -lsamba-util -ltevent -ltalloc 
NDRPAC_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1 
NDRPAC_LIBS = -lndr-krb5pac -lndr-standard -lndr -lsamba-util -ltevent -ltalloc 
NDR_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1 
NDR_LIBS = -lndr -lsamba-util -ltevent -ltalloc 
NM = /usr/bin/nm -B
NMEDIT = 
NSPR_CFLAGS = -I/usr/include/nspr4 
NSPR_LIBS = -lplds4 -lplc4 -lnspr4 -lpthread -ldl 
NUM_VERSION = 40908
OBJDUMP = objdump
OBJEXT = o
ODS_GROUP = ods
ODS_USER = ods
OTOOL = 
OTOOL64 = 
PACKAGE = freeipa
PACKAGE_BUGREPORT = https://hosted.fedoraproject.org/projects/freeipa/newticket
PACKAGE_NAME = freeipa
PACKAGE_STRING = freeipa 4.9.8
PACKAGE_TARNAME = freeipa
PACKAGE_URL = 
PACKAGE_VERSION = 4.9.8
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PLATFORM_PYTHON = 
POPT_CFLAGS = 
POPT_LIBS = -lpopt 
POSUB = po
PWQUALITY_CFLAGS = 
PWQUALITY_LIBS = -lpwquality 
PYLINT = yes
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_INSTALL_EXTRA_OPTIONS = 
PYTHON_PLATFORM = linux
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 3.9
RANLIB = ranlib
RESOLV_LIBS = -lresolv
RPMLINT = 
SAMBA40EXTRA_LIBPATH = -L/usr/lib64/samba -Wl,-rpath=/usr/lib64/samba
SAMBAUTIL_CFLAGS = -I/usr/include/samba-4.0 -DHAVE_IMMEDIATE_STRUCTURES=1 
SAMBAUTIL_LIBS = -lsamba-util -ltevent -ltalloc 
SASL_CFLAGS = 
SASL_LIBS = -lsasl2 
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SSSCERTMAP_CFLAGS = 
SSSCERTMAP_LIBS = -lsss_certmap 
SSSIDMAP_CFLAGS = 
SSSIDMAP_LIBS = -lsss_idmap 
SSSNSSIDMAP_CFLAGS = 
SSSNSSIDMAP_LIBS = -lsss_nss_idmap 
STRIP = strip
TALLOC_CFLAGS = 
TALLOC_LIBS = -ltalloc 
TEVENT_CFLAGS = 
TEVENT_LIBS = -ltevent -ltalloc 
UNISTRING_LIBS = -lunistring
UNLINK = /usr/bin/unlink
USE_NLS = yes
UUID_CFLAGS = -I/usr/include/uuid 
UUID_LIBS = -luuid 
VENDOR_SUFFIX = 
VERSION = 4.9.8
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
XMLRPC_CFLAGS = 
XMLRPC_LIBS = 
abs_builddir = /home/antorres/dev/freeipa-writeable/contrib/completion
abs_srcdir = /home/antorres/dev/freeipa-writeable/contrib/completion
abs_top_builddir = /home/antorres/dev/freeipa-writeable
abs_top_srcdir = /home/antorres/dev/freeipa-writeable
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
i18ntests = 
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/antorres/dev/freeipa-writeable/install-sh
krb5rundir = /run/krb5kdc
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/freeipa
pkgpythondir = ${pythondir}/freeipa
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib64/python3.9/site-packages
pythondir = ${prefix}/lib/python3.9/site-packages
runstatedir = /run
sbindir = ${exec_prefix}/sbin
selinux_makefile = /usr/share/selinux/devel/Makefile
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
sysconfenvdir = ${prefix}/etc/sysconfig
systemdsystemunitdir = /usr/lib/systemd/system

=== debian/changelog ===
freeipa (4.9.8-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patch.
  * server.install: Updated.
  * Build only the client in order to be able to backport to bullseye.
    (Closes: #996946)
  * control: Depend on librpm9 instead of librpm8.
  * tests: Disabled for a client-only build.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Dec 2021 16:41:25 +0200

freeipa (4.9.7-3) unstable; urgency=medium

  * tests: Set KRB5_TRACE to use stderr.
  * patches: Fix apache group properly.
  * client: Move .tmpfile -> .tmpfiles.
  * control: Bump debhelper to 13, gain dh_installtmpfiles being run.
  * control, rules: Add --without-ipa-join-xml and drop libxmlrpc from depends.
  * server.postinst: Drop creating old ccaches for mod_auth_gssapi, obsolete.
  * server.postinst: Drop old upgrade rules.
  * patches: Fix named keytab name.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Nov 2021 21:20:16 +0200

freeipa (4.9.7-2) unstable; urgency=medium

  * lintian: Drop override on python-script-but-no-python-dep, which doesn't
    exist anymore.
  * rules: Add fortify flag to CFLAGS, as CPPFLAGS isn't used by the project.
  * ci: Drop allowed failure for blhc, it passes now.
  * control: Build-depend on libcurl4-openssl-dev.
  * fix-paths.diff: Fix some paths in ipaplatform/base.
  * fix-apache-group.diff: Fix apache group name in ipa.conf tmpfile.
  * control: Depend on gpg instead of gnupg.
  * control: Drop libwbclient-sssd from freeipa-client-samba Depends.
  * patches: Import a patch to fix ipa cert-find. (Closes: #997952)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Nov 2021 15:40:55 +0200

freeipa (4.9.7-1) unstable; urgency=medium

  * New upstream release.
  * control: Drop obsolete depends on python3-nss.
  * pkcs11-openssl-for-bind.diff,
    migrate-to-gpg.diff,
    use-bind9.16.diff,
    fix-chrony-service-name.diff:
    - Dropped, upstream.
  * watch: Fixed to find upstream rc's.
  * source: Update extend-diff-ignore.
  * control: Add libcurl-dev, libjansson-dev and libpwquality-dev to
    build-depends.
  * install: Added new files.
  * rules: Drop ipasphinx files for now.
  * control: Drop dependency on custodia, not needed.
  * control: Bump 389-ds-base depends.
  * control: Drop python3-coverage depends, it's not used.
  * control: Bump dogtag depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 13 Oct 2021 15:19:00 +0300

=== debian/control ===
Source: freeipa
Section: net
Priority: optional
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/freeipa-team/freeipa.git
Vcs-Browser: https://salsa.debian.org/freeipa-team/freeipa
Homepage: http://www.freeipa.org
Build-Depends:
 check,
 debhelper-compat (= 13),
 dh-python,
 gettext,
 krb5-user,
 libcmocka-dev,
 libcurl4-openssl-dev,
 libini-config-dev,
 libjansson-dev,
 libkrad-dev,
 libkrb5-dev (>= 1.18),
 libldap2-dev,
 libnspr4-dev,
 libpopt-dev,
 libsasl2-dev,
 libssl-dev,
 libtalloc-dev,
 python3-all-dev,
 python3-cryptography,
 python3-dbus,
 python3-dnspython (>= 1.11.1),
 python3-gssapi,
 python3-jinja2,
 python3-kdcproxy,
 python3-ldap (>= 3.1),
 python3-lesscpy,
 python3-libipa-hbac,
 python3-libsss-nss-idmap,
 python3-lxml,
 python3-netaddr,
 python3-netifaces (>= 0.10.4),
 python3-nose,
 python3-polib,
 python3-pyasn1,
 python3-qrcode (>= 5.0.0),
 python3-setuptools,
 python3-six,
 python3-sss (>= 1.14.0),
 python3-usb (>= 1.0.0~b2),
 python3-yubico,
 systemd,
 uuid-dev,

Package: freeipa-common
Architecture: all
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: FreeIPA centralized identity framework -- common files
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This package includes common files.

Package: freeipa-client
Architecture: any
Depends:
 bind9-utils,
 certmonger (>= 0.79.5-2),
 curl,
 dnsutils,
 freeipa-common (= ${source:Version}),
 krb5-user,
 libnss3-tools,
 libnss-sss,
 libpam-sss,
 libsasl2-modules-gssapi-mit,
 libsss-sudo,
 oddjob-mkhomedir,
 python3-dnspython,
 python3-ipaclient (= ${source:Version}),
 python3-gssapi,
 python3-ldap,
 python3-sss,
 sssd (>= 1.14.0),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends:
 chrony,
Suggests:
 libpam-krb5,
Description: FreeIPA centralized identity framework -- client
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This is the client package.

Package: freeipa-client-epn
Architecture: amd64 arm64 armhf i386 mips mips64el mipsel ppc64 ppc64el s390x
Depends:
 freeipa-client (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Breaks: freeipa-server (<< 4.8.10-2)
Replaces: freeipa-server (<< 4.8.10-2)
Description: FreeIPA centralized identity framework -- tools for configuring Expiring Password Notification
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This package provides a service to collect and send expiring password
 notifications via email (SMTP).

Package: freeipa-client-samba
Architecture: any
Depends:
 cifs-utils,
 freeipa-client (= ${binary:Version}),
 python3-samba,
 samba-common-bin,
 smbclient,
 tdb-tools,
 winbind,
 ${misc:Depends},
 ${python3:Depends},
Multi-Arch: same
Description: FreeIPA centralized identity framework -- Samba client
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This package provides command-line tools to deploy Samba domain member
 on the machine enrolled into a FreeIPA environment.

Package: python3-ipaclient
Architecture: all
Section: python
Breaks: freeipa-client (<< 4.3.0-1)
Replaces: freeipa-client (<< 4.3.0-1)
Depends:
 freeipa-common (= ${binary:Version}),
 python3-augeas,
 python3-dnspython,
 python3-ipalib (>= ${source:Version}),
 python3-jinja2,
 ${misc:Depends},
 ${python3:Depends},
Description: FreeIPA centralized identity framework -- Python3 modules for ipaclient
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This Python3 module is used by FreeIPA client.

Package: python3-ipalib
Architecture: all
Section: python
Depends:
 freeipa-common (= ${source:Version}),
 gpg,
 gpg-agent,
 keyutils,
 librpm9,
 python3-cffi,
 python3-cryptography,
 python3-dbus,
 python3-dnspython,
 python3-gssapi,
 python3-ldap,
 python3-libipa-hbac,
 python3-lxml,
 python3-netaddr,
 python3-netifaces (>= 0.10.4),
 python3-pyasn1,
 python3-qrcode (>= 5.0.0),
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-usb (>= 1.0.0~b2),
 python3-yubico,
 systemd,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: FreeIPA centralized identity framework -- shared Python3 modules
 FreeIPA is an integrated solution to provide centrally managed Identity
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof).
 .
 This Python3 module is used by other FreeIPA packages.

=== debian/rules ===
#!/usr/bin/make -f 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

CFLAGS += -D_FORTIFY_SOURCE=2

# build server only where nodejs is available
#ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips mips64el mipsel ppc64 ppc64el s390x))
#  ONLY_CLIENT=0
#else
  ONLY_CLIENT=1
#endif

DESTDIR=$(CURDIR)/debian/tmp

export PYTHON=python3
export am_cv_python_pythondir=/usr/lib/python3/dist-packages
export am_cv_python_pyexecdir=/usr/lib/python3/dist-packages

confflags = \
	--libexecdir=/usr/lib/ \
	--with-ipaplatform=debian \
	--with-sysconfenvdir=/etc/default \
	--disable-pylint \
	--without-ipa-join-xml \
	--without-jslint

ifeq ($(ONLY_CLIENT), 1)
confflags += --disable-server \
	--without-ipatests
else
confflags += --enable-server \
	--with-ipatests
endif

# For maintainer use only, generate a tarball:
gentarball:
	tar --transform 's,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,' \
		--exclude './debian' --exclude-vcs \
		-cJf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz .

gencontrol:
ifeq ($(ONLY_CLIENT), 1)
	cat debian/control.stub \
	debian/control.common \
	> debian/control
else
	cat debian/control.stub \
	debian/control.server-bdeps \
	debian/control.common \
	debian/control.server \
	> debian/control
endif

override_dh_clean: gencontrol
	dh_clean
	rm -f po/*.gmo po/Makefile.hack po/POTFILES.in po/stamp-po
	rm -rf contrib/completion/ipa.bash_completion daemons/ipa-version.h \
	       install/ui/src/libs/loader.js m4
	rm -f ipaplatform/override.py ipapython/version.py ipasetup.py

override_dh_auto_configure: gencontrol
	dh_auto_configure -- $(confflags)

# tests would just fail, they need a proper environment with 389 running et al
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install --max-parallel=1

ifneq ($(ONLY_CLIENT), 1)
	chmod 755 $(DESTDIR)/usr/lib/ipa/certmonger/*

	touch $(DESTDIR)/usr/share/ipa/html/ca.crt
	touch $(DESTDIR)/usr/share/ipa/html/kerberosauth.xpi
	touch $(DESTDIR)/usr/share/ipa/html/krb.con
	touch $(DESTDIR)/usr/share/ipa/html/krb.js
	touch $(DESTDIR)/usr/share/ipa/html/krb5.ini
	touch $(DESTDIR)/usr/share/ipa/html/krbrealm.con
endif

	mkdir -p $(DESTDIR)/usr/share/bash-completion/completions \
	install -m 0644 contrib/completion/ipa.bash_completion \
		$(DESTDIR)/usr/share/bash-completion/completions/ipa
	rm -rf $(DESTDIR)/etc/bash_completion.d

	# purge .la files
	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
	# purge precompiled .pyc/.pyo files
	find $(CURDIR)/debian/tmp -name '*.py[c,o]' -exec rm '{}' ';'
	# fix permissions
	find $(CURDIR)/debian/tmp -name "*.mo" -type f -exec chmod -x "{}" \;
	# remove files which are useful only for make uninstall
	find $(CURDIR)/debian/tmp -wholename '*/dist-packages/*/install_files.txt' -exec rm '{}' \;
	# fix the interpreter
	find debian/tmp ! -name '*.pyc' -a ! -name '*.pyo' -a \
	    -type f -exec grep -qsm1 '^#!.*\bpython' {} \; \
	    -exec sed -i -e '1 s|^#!.*\bpython[^ ]*|#!/usr/bin/python3|' {} \;
ifeq ($(ONLY_CLIENT), 0)
	# remove ipasphinx for now
	rm -r $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/ipasphinx*
endif

override_dh_missing:
	dh_missing --fail-missing

ifneq ($(ONLY_CLIENT), 1)
override_dh_installsystemd:
	dh_installsystemd -pfreeipa-server --no-enable ipa.service
	dh_installsystemd -pfreeipa-server --no-enable ipa-dnskeysyncd.service
	dh_installsystemd -pfreeipa-server --no-enable ipa-custodia.service
	dh_installsystemd -pfreeipa-server --no-enable ipa-ods-exporter.service
endif

override_dh_fixperms:
	dh_fixperms

	# check needed to not fail arch-indep build which doesn't run dh_installdirs
	if [ -d $(CURDIR)/debian/freeipa-server/etc/ipa/custodia ]; then \
	    chmod 0700 $(CURDIR)/debian/freeipa-server/etc/ipa/custodia; \
	    chmod 0700 $(CURDIR)/debian/freeipa-server/var/lib/ipa/backup; \
	fi

%:
	dh $@ --with python3
#		--builddirectory=build

## freeipa 4.9.11

=== contrib/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# contrib/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/freeipa
pkgincludedir = $(includedir)/freeipa
pkglibdir = $(libdir)/freeipa
pkglibexecdir = $(libexecdir)/freeipa
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = contrib
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/VERSION.m4 \
	$(top_srcdir)/server.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir distdir-am
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in README.md
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} '/home/antorres/dev/freeipa-clean/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
API_VERSION = 2.251
AR = ar
AUTOCONF = ${SHELL} '/home/antorres/dev/freeipa-clean/missing' autoconf
AUTOHEADER = ${SHELL} '/home/antorres/dev/freeipa-clean/missing' autoheader
AUTOMAKE = ${SHELL} '/home/antorres/dev/freeipa-clean/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -D__STDC_WANT_LIB_EXT1__=1 -D_DEFAULT_SOURCE=1 -D_POSIX_C_SOURCE=200809L -Werror=implicit-function-declaration
CMOCKA_CFLAGS = 
CMOCKA_LIBS = -lcmocka 
CONFIG_STATUS = ./config.status
CPP = gcc -E
CPPFLAGS =  
CRYPTO_CFLAGS = 
CRYPTO_LIBS = -lcrypto 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DATA_VERSION = 20100614120000
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIRSRV_CFLAGS = -DUSE_OPENLDAP -I/usr/include/dirsrv  -I/usr/include/nspr4 
DIRSRV_LIBS = -L/usr/lib64/dirsrv -lslapd 
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GETTEXT_DOMAIN = ipa
GETTEXT_MACRO_VERSION = 0.18
GIT_BRANCH = ipa-4-9
GIT_VERSION = 
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /usr/bin/grep
HTTPD_GROUP = apache
INI_CFLAGS = 
INI_LIBS = -lini_config -lbasicobjects -lref_array -lcollection 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
IPAPLATFORM = fedora
IPA_DATA_DIR = ${datarootdir}/ipa
IPA_SYSCONF_DIR = ${prefix}/etc/ipa
JANSSON_CFLAGS = 
JANSSON_LIBS = -ljansson 
JSLINT = /usr/bin/jsl
KRAD_LIBS = -lkrad
KRB5KDC_SERVICE = krb5kdc.service
KRB5_CFLAGS = 
KRB5_GSSAPI_CFLAGS = 
KRB5_GSSAPI_LIBS = -lgssapi_krb5 
KRB5_LIBS = -lkrb5 -lk5crypto -lcom_err 
LD = /usr/bin/ld -m elf_x86_64
LDAP_CFLAGS = 
LDAP_LIBS = -llber -lldap 
LDFLAGS = 
LIBCURL_CFLAGS = 
LIBCURL_LIBS = -lcurl 
LIBICONV = -liconv
LIBINTL = 
LIBINTL_LIBS = 
LIBOBJS = 
LIBPDB_NAME = samba-passdb
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBVERTO_CFLAGS = 
LIBVERTO_LIBS = -lverto 
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/home/antorres/dev/freeipa-clean/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MK_ASSIGN = =
MK_ELSE = else
MK_ENDIF = endif
MK_IFEQ = ifeq
MSGATTRIB = /usr/bin/msgattrib
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NAMED_GROUP = named
NDRNBT_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1 
NDRNBT_LIBS = -lndr-nbt -lndr -lsamba-util -ltevent -ltalloc 
NDRPAC_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1 
NDRPAC_LIBS = -lndr-krb5pac -lndr-standard -lndr -lsamba-util -ltevent -ltalloc 
NDR_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1 
NDR_LIBS = -lndr -lsamba-util -ltevent -ltalloc 
NM = /usr/bin/nm -B
NMEDIT = 
NSPR_CFLAGS = -I/usr/include/nspr4 
NSPR_LIBS = -lplds4 -lplc4 -lnspr4 -lpthread -ldl 
NUM_VERSION = 40911
OBJDUMP = objdump
OBJEXT = o
ODS_GROUP = ods
ODS_USER = ods
OTOOL = 
OTOOL64 = 
PACKAGE = freeipa
PACKAGE_BUGREPORT = https://hosted.fedoraproject.org/projects/freeipa/newticket
PACKAGE_NAME = freeipa
PACKAGE_STRING = freeipa 4.9.11
PACKAGE_TARNAME = freeipa
PACKAGE_URL = 
PACKAGE_VERSION = 4.9.11
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PLATFORM_PYTHON = 
POPT_CFLAGS = 
POPT_LIBS = -lpopt 
POSUB = po
PWQUALITY_CFLAGS = 
PWQUALITY_LIBS = -lpwquality 
PYLINT = yes
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_INSTALL_EXTRA_OPTIONS = 
PYTHON_PLATFORM = linux
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 3.10
RANLIB = ranlib
RESOLV_LIBS = -lresolv
RPMLINT = 
SAMBA40EXTRA_LIBPATH = -L/usr/lib64/samba -Wl,-rpath=/usr/lib64/samba
SAMBAUTIL_CFLAGS = -I/usr/include/samba-4.0 -DHAVE_IMMEDIATE_STRUCTURES=1 
SAMBAUTIL_LIBS = -lsamba-util -ltevent -ltalloc 
SASL_CFLAGS = 
SASL_LIBS = -lsasl2 
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SSSCERTMAP_CFLAGS = 
SSSCERTMAP_LIBS = -lsss_certmap 
SSSIDMAP_CFLAGS = 
SSSIDMAP_LIBS = -lsss_idmap 
SSSNSSIDMAP_CFLAGS = 
SSSNSSIDMAP_LIBS = -lsss_nss_idmap 
STRIP = strip
TALLOC_CFLAGS = 
TALLOC_LIBS = -ltalloc 
TEVENT_CFLAGS = 
TEVENT_LIBS = -ltevent -ltalloc 
UNISTRING_LIBS = -lunistring
UNLINK = /usr/bin/unlink
USE_NLS = yes
UUID_CFLAGS = -I/usr/include/uuid 
UUID_LIBS = -luuid 
VENDOR_SUFFIX = 
VERSION = 4.9.11
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
XMLRPC_CFLAGS = 
XMLRPC_LIBS = 
abs_builddir = /home/antorres/dev/freeipa-clean/contrib
abs_srcdir = /home/antorres/dev/freeipa-clean/contrib
abs_top_builddir = /home/antorres/dev/freeipa-clean
abs_top_srcdir = /home/antorres/dev/freeipa-clean
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
PYTHON        ?= python3
VENVDIR       = ./.venv
SPHINXOPTS    ?= -W --keep-going -j auto
SPHINXBUILD   ?= PATH=$(VENVDIR)/bin:$$PATH sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	@echo "  lint        to check and lint documentation"
	@echo "  venv        to create an isolated venv"

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: lint
lint:
	$(MAKE) html SPHINXOPTS="$(SPHINXOPTS) -E -a"

.PHONY: distclean
distclean: clean
	rm -rf $(VENVDIR)

.PHONY: venv
venv:
	$(PYTHON) -m venv $(VENVDIR)
	$(VENVDIR)/bin/python3 -m pip install -U pip setuptools
	$(VENVDIR)/bin/python3 -m pip install -U -r ./requirements.txt \
		-c constraints.txt

=== contrib/completion/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.2 from Makefile.am.
+# Makefile.in generated by automake 1.16.5 from Makefile.am.
 # contrib/completion/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2020 Free Software Foundation, Inc.
+# Copyright (C) 1994-2021 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -157,14 +157,14 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/antorres/dev/freeipa-writeable/missing aclocal-1.16
+ACLOCAL = ${SHELL} '/home/antorres/dev/freeipa-clean/missing' aclocal-1.16
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
-API_VERSION = 2.245
+API_VERSION = 2.251
 AR = ar
-AUTOCONF = ${SHELL} /home/antorres/dev/freeipa-writeable/missing autoconf
-AUTOHEADER = ${SHELL} /home/antorres/dev/freeipa-writeable/missing autoheader
-AUTOMAKE = ${SHELL} /home/antorres/dev/freeipa-writeable/missing automake-1.16
+AUTOCONF = ${SHELL} '/home/antorres/dev/freeipa-clean/missing' autoconf
+AUTOHEADER = ${SHELL} '/home/antorres/dev/freeipa-clean/missing' autoheader
+AUTOMAKE = ${SHELL} '/home/antorres/dev/freeipa-clean/missing' automake-1.16
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -176,6 +176,8 @@
 CPPFLAGS =  
 CRYPTO_CFLAGS = 
 CRYPTO_LIBS = -lcrypto 
+CSCOPE = cscope
+CTAGS = ctags
 CYGPATH_W = echo
 DATA_VERSION = 20100614120000
 DEFS = -DHAVE_CONFIG_H
@@ -189,8 +191,10 @@
 ECHO_N = -n
 ECHO_T = 
 EGREP = /usr/bin/grep -E
+ETAGS = etags
 EXEEXT = 
 FGREP = /usr/bin/grep -F
+FILECMD = file
 GETTEXT_DOMAIN = ipa
 GETTEXT_MACRO_VERSION = 0.18
 GIT_BRANCH = ipa-4-9
@@ -198,6 +202,7 @@
 GMSGFMT = /usr/bin/msgfmt
 GMSGFMT_015 = /usr/bin/msgfmt
 GREP = /usr/bin/grep
+HTTPD_GROUP = apache
 INI_CFLAGS = 
 INI_LIBS = -lini_config -lbasicobjects -lref_array -lcollection 
 INSTALL = /usr/bin/install -c
@@ -221,7 +226,7 @@
 KRB5_LIBS = -lkrb5 -lk5crypto -lcom_err 
 LD = /usr/bin/ld -m elf_x86_64
 LDAP_CFLAGS = 
-LDAP_LIBS = -lldap_r -llber
+LDAP_LIBS = -llber -lldap 
 LDFLAGS = 
 LIBCURL_CFLAGS = 
 LIBCURL_LIBS = -lcurl 
@@ -240,7 +245,7 @@
 LTLIBINTL = 
 LTLIBOBJS = 
 LT_SYS_LIBRARY_PATH = 
-MAKEINFO = ${SHELL} /home/antorres/dev/freeipa-writeable/missing makeinfo
+MAKEINFO = ${SHELL} '/home/antorres/dev/freeipa-clean/missing' makeinfo
 MANIFEST_TOOL = :
 MKDIR_P = /usr/bin/mkdir -p
 MK_ASSIGN = =
@@ -262,7 +267,7 @@
 NMEDIT = 
 NSPR_CFLAGS = -I/usr/include/nspr4 
 NSPR_LIBS = -lplds4 -lplc4 -lnspr4 -lpthread -ldl 
-NUM_VERSION = 40908
+NUM_VERSION = 40911
 OBJDUMP = objdump
 OBJEXT = o
 ODS_GROUP = ods
@@ -272,10 +277,10 @@
 PACKAGE = freeipa
 PACKAGE_BUGREPORT = https://hosted.fedoraproject.org/projects/freeipa/newticket
 PACKAGE_NAME = freeipa
-PACKAGE_STRING = freeipa 4.9.8
+PACKAGE_STRING = freeipa 4.9.11
 PACKAGE_TARNAME = freeipa
 PACKAGE_URL = 
-PACKAGE_VERSION = 4.9.8
+PACKAGE_VERSION = 4.9.11
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -292,7 +297,7 @@
 PYTHON_INSTALL_EXTRA_OPTIONS = 
 PYTHON_PLATFORM = linux
 PYTHON_PREFIX = ${prefix}
-PYTHON_VERSION = 3.9
+PYTHON_VERSION = 3.10
 RANLIB = ranlib
 RESOLV_LIBS = -lresolv
 RPMLINT = 
@@ -321,16 +326,16 @@
 UUID_CFLAGS = -I/usr/include/uuid 
 UUID_LIBS = -luuid 
 VENDOR_SUFFIX = 
-VERSION = 4.9.8
+VERSION = 4.9.11
 XGETTEXT = /usr/bin/xgettext
 XGETTEXT_015 = /usr/bin/xgettext
 XGETTEXT_EXTRA_OPTIONS = 
 XMLRPC_CFLAGS = 
 XMLRPC_LIBS = 
-abs_builddir = /home/antorres/dev/freeipa-writeable/contrib/completion
-abs_srcdir = /home/antorres/dev/freeipa-writeable/contrib/completion
-abs_top_builddir = /home/antorres/dev/freeipa-writeable
-abs_top_srcdir = /home/antorres/dev/freeipa-writeable
+abs_builddir = /home/antorres/dev/freeipa-clean/contrib/completion
+abs_srcdir = /home/antorres/dev/freeipa-clean/contrib/completion
+abs_top_builddir = /home/antorres/dev/freeipa-clean
+abs_top_srcdir = /home/antorres/dev/freeipa-clean
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
@@ -360,7 +365,7 @@
 i18ntests = 
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/antorres/dev/freeipa-writeable/install-sh
+install_sh = ${SHELL} /home/antorres/dev/freeipa-clean/install-sh
 krb5rundir = /run/krb5kdc
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
@@ -375,8 +380,8 @@
 prefix = /usr/local
 program_transform_name = s,x,x,
 psdir = ${docdir}
-pyexecdir = ${exec_prefix}/lib64/python3.9/site-packages
-pythondir = ${prefix}/lib/python3.9/site-packages
+pyexecdir = ${PYTHON_EXEC_PREFIX}/lib64/python3.10/site-packages
+pythondir = ${PYTHON_PREFIX}/lib/python3.10/site-packages
 runstatedir = /run
 sbindir = ${exec_prefix}/sbin
 selinux_makefile = /usr/share/selinux/devel/Makefile
@@ -384,4 +389,3 @@
 srcdir = .
 sysconfdir = ${prefix}/etc
 sysconfenvdir = ${prefix}/etc/sysconfig
-systemdsystemunitdir = /usr/lib/systemd/system

=== debian/changelog ===
freeipa (4.9.11-2devuan1) unstable; urgency=medium

  * Drop systemd dependency.

 -- B. Stack <bgstack15@gmail.com>  Fri, 05 May 2023 08:00:18 -0400

freeipa (4.9.11-2) unstable; urgency=medium

  * client: Fix kerberos support for Java by dropping a duplicate
    includedir from ipa-client-setup we already get from sssd. (Closes:
    #1034659)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Apr 2023 17:23:26 +0300

freeipa (4.9.11-1) unstable; urgency=medium

  * New upstream release. (Closes: #1029070)
  * control: Add systemd-timesyncd to freeipa-client Conflicts. (Closes:
    #1008195)
  * patches: Drop upstreamed patches.
  * source: Extend diff-ignore.
  * server.install: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Jan 2023 18:22:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: freeipa
 Section: net
 Priority: optional
-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
-Uploaders: Timo Aaltonen <tjaalton@debian.org>
+Maintainer: B. Stack <bgstack15@gmail.com>
 Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/freeipa-team/freeipa.git
-Vcs-Browser: https://salsa.debian.org/freeipa-team/freeipa
+Origin: Devuan
+Vcs-Git: https://git.devuan.org/devuan/freeipa.git
+Vcs-Browser: https://git.devuan.org/devuan/freeipa
 Homepage: http://www.freeipa.org
 Build-Depends:
  check,
@@ -48,7 +48,6 @@
  python3-sss (>= 1.14.0),
  python3-usb (>= 1.0.0~b2),
  python3-yubico,
- systemd,
  uuid-dev,
 
 Package: freeipa-common
@@ -92,6 +91,8 @@
  chrony,
 Suggests:
  libpam-krb5,
+Conflicts:
+ systemd-timesyncd,
 Description: FreeIPA centralized identity framework -- client
  FreeIPA is an integrated solution to provide centrally managed Identity
  (machine, user, virtual machines, groups, authentication credentials), Policy
@@ -187,7 +188,7 @@
  python3-six,
  python3-usb (>= 1.0.0~b2),
  python3-yubico,
- systemd,
+ systemd | systemctl-service-shim,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
